FG06 = {}											-- NE PAS SUPPRIMER
-----------------------------------------------------------------------------------------------------------------	
													-- LUA PREDICATE à utiliser dans les règles pour savoir si une unité est endommagée
													-- exemple d'appel : return FG06.nonEndomagee("UH01")
													--                   => retourne VRAI si helico NON ENDOMMAGE
													--                   => retourne FAUX si helico ENDOMMAGE
													-- le paramaètre à passer à la fonction est le nom de l'unité à tester
													-------------------------------------------------------------
													
function FG06.nonEndomagee(helico)					-- test si helico n'est pas endommagée (retourne vrai si non endommagée ou Faux s'il est endommagé)	
	local msg = ""
	if Unit.getByName(helico) ~= nil then			-- si unité helico active -> continuer check, sinon sortir
		local u = Unit.getByName(helico)    
		local valIni_bon_etat = u:getLife0()		-- Returns la valeur initiale qui représente l'unité en bon état (100%)
		local etat = u:getLife()					-- Returns la valeur actuelle de l'état de l'unité

		if etat >= valIni_bon_etat then  			-- helico est-il dans sont état intial 
			return	true							-- si oui => il n'est pas endommagé (on retour vrai pour "NON ENDOMMAGE")
		else
			return false							-- si non => il est  endommagé (on retour faux pour "ENDOMMAGE")
		end
	else					-- si helico inexistant, c'est qu'il a été détruit ou que slot helico non utilisé
		return	false		-- (on retour faux pour "ENDOMMAGE")
	end
end 
-----------------------------------------------------------------------------------------------------------------
--FG01.checkPose()							-- Lancement initial de la fonction qui teste si les helicos en jeu sont posés ou en vol